%def_without test
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(LWP/UserAgent.pm) perl(Test/More.pm) perl(XML/Twig.pm)
# END SourceDeps(oneline)
%define module_version 0.21
%define module_name WWW-VieDeMerde
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.21
Release: alt1
Summary: A perl module to use the viedemerde.fr API
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/I/ID/IDERRICK/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
viedemerde.fr and fmylife.com are microblogs where people post short.messages in order to show how their life is crappy. It offers a simple
but efficient http-based API.

This module aims to implement a full interface for the version 2.0 of
the API. The full documentation is here:
http://dev.betacie.com/viewtopic.php?id=6.


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README doc examples
%perl_vendor_privlib/W*

%changelog
* Mon Oct 07 2013 Igor Vlasenko <viy@altlinux.ru> 0.21-alt1
- initial import by package builder

